SYSTEMD.CONF(5)

NAME
systemd.conf - systemd manager configuration file

SYNOPSIS

system.conf

user.conf

DESCRIPTION

When run as system instance systemd reads the configuration file system.conf, otherwise user.conf. These configuration files contain a few settings controlling basic manager operations.

OPTIONS

All options are configured in the [Manager] section:

LogLevel=, LogTarget=, LogColor=, LogLocation=, DumpCore=yes, CrashShell=no, ShowStatus=yes, SysVConsole=yes, CrashChVT=1, DefaultStandardOutput=journal, DefaultStandardError=inherit
    Configures various parameters of basic manager operation. These options may be overridden by the respective command line arguments. See systemd(1) for details about these command line arguments.

CPUAffinity=
    Configures the initial CPU affinity for the init process. Takes a space-separated list of CPU indexes.

MountAuto=yes, SwapAuto=yes
    Configures whether systemd should automatically activate all swap or mounts listed in /etc/fstab, or whether this job is left to some other system script.

DefaultControllers=cpu
    Configures in which cgroup controller hierarchies to create per-service cgroups automatically, in addition to the name=systemd named hierarchy. Defaults to 'cpu'. Takes a space separated list of controller names. Pass an empty string to ensure that systemd does not touch any hierarchies but its own.

JoinControllers=cpu,cpuacct
    Configures controllers that shall be mounted in a single hierarchy. By default systemd will mount all controllers which are enabled in the kernel in individual hierachies, with the exception of those listed in this setting. Takes a space separated list of comma separated controller names, in order to allow multiple joined hierarchies. Defaults to 'cpu,cpuacct'. Pass an empty string to ensure that systemd mounts all controllers in separate hierarchies.

SEE ALSO

systemd(1)

AUTHOR

Lennart Poettering <lennart@poettering.net>
    Developer